Bug 152560 - CAN-2005-0937 futex mmap_sem deadlock
CAN-2005-0937 futex mmap_sem deadlock
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jason Baron
Brian Brock
impact=important,public=20050222,repo...
: Security
Depends On:
Blocks: 147461
  Show dependency treegraph
 
Reported: 2005-03-30 07:30 EST by Mark J. Cox (Product Security)
Modified: 2013-03-06 00:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 08:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-30 07:30:37 EST
"Some futex functions do get_user calls while holding mmap_sem
        for reading. If get_user() faults, and another thread happens
        to be in mmap (or somewhere else holding waiting on down_write
        for the same semaphore), then do_page_fault will
        deadlock. Most architectures seem to be exposed to this."

        http://lkml.org/lkml/2005/2/22/123
        http://lkml.org/lkml/2005/2/22/185

        fixed=2.6-bk (cset@421cfc11zFsK9gxvSJ2t__FCmuUd3Q)

This would allow a local user to easily cause a system crash.  CVE applied for.
Comment 1 Mark J. Cox (Product Security) 2005-07-26 08:21:51 EDT
This is fixed by linux-2.6.9-futex-mmap_sem-deadlock.patch in RHSA-2005:420

Note You need to log in before you can comment on or make changes to this bug.